don't do this at home
I do this at home
not my day job
introduction (vectoriel, commande numérique, etc.)
conception avec python (inkscape, blender, freecad)
l'impression 3D (cura, octoprint, printrun)
la découpe laser (Laserengraver_smoothie)
prototypage electronique (micropython, wipy)
G90 ; use absolute positioning for the XYZ axes
G1 X10 F3600 ; move to the X=10mm position on the bed
G1 X20 F3600 ; move to X=20mm
(pas en python)
Ouvrir l'image > Path > Tracebitmat
Paths to OpenSCAD
http://wiki.inkscape.org/wiki/index.php/Extension_repository
View > Panels > Python console
import Part
doc = FreeCAD.newDocument()
myshape = Part.makeSphere(10)
shapeobj = doc.addObject("Part::Feature",
"MyShape")
shapeobj.Shape = myshape
doc.recompute()
import octoprint.plugin
# ...
__plugin_name__ = "My Plugin"
def __plugin_load__():
# whatever you need to do to load your plugin,
# if anything at all
pass
GPIO !
from gpiozero import LED
from time import sleep
led = LED(17)
while True:
led.on()
sleep(1)
led.off()
sleep(1)
pip install mpf
Contacts :